GET
/api/v1/plants
Returns a paginated list of cataloged medicinal plants in the park with optional search and category filters.
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| category | string | Filter by category (Medicinal, Aromatic, Herbs, Trees) |
| search | string | Keyword search in common and botanical names |
| per_page | integer | Number of items per page (default: 10, max: 100) |
Response: 200 OK
application/json{
"success": true,
"data": [
{
"id": 1,
"name": "Tulsi",
"scientific_name": "Ocimum sanctum",
"category": "Medicinal",
"tags": ["Medicinal", "Herb", "Aromatic"],
"uses": "Immunity, cold, cough, stress relief",
"habitat": "Tropical and subtropical regions",
"image": "https://images.unsplash.com/photo-1615485290382-441e4d049cb5",
"qr_url": "https://vanya.healthboat.org/herbal/scan/HB-TULS-001"
},
{
"id": 2,
"name": "Aloe Vera",
"scientific_name": "Aloe barbadensis",
"category": "Medicinal",
"tags": ["Medicinal", "Herb"],
"uses": "Skin hydration, wound healing, digestive aid",
"image": "https://images.unsplash.com/photo-1596547609652-9cf5d8d76921"
}
],
"pagination": {
"total": 508,
"per_page": 10,
"current_page": 1,
"last_page": 51
}
}